source: squid-ssl/trunk/fuentes/test-suite/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 51.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \   ]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90check_PROGRAMS = debug$(EXEEXT) $(am__EXEEXT_2) MemPoolTest$(EXEEXT) \
91        mem_node_test$(EXEEXT) mem_hdr_test$(EXEEXT) splay$(EXEEXT) \
92        syntheticoperators$(EXEEXT) VirtualDeleteOperator$(EXEEXT)
93TESTS = debug$(EXEEXT) syntheticoperators$(EXEEXT) \
94        VirtualDeleteOperator$(EXEEXT) splay$(EXEEXT) \
95        MemPoolTest$(EXEEXT) mem_node_test$(EXEEXT) \
96        mem_hdr_test$(EXEEXT) $(am__EXEEXT_2) squid-conf-tests
97@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
98EXTRA_PROGRAMS = mem_node_test$(EXEEXT) membanger$(EXEEXT) \
99        splay$(EXEEXT) tcp-banger2$(EXEEXT)
100subdir = test-suite
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
103        $(top_srcdir)/acinclude/init.m4 \
104        $(top_srcdir)/acinclude/squid-util.m4 \
105        $(top_srcdir)/acinclude/compiler-flags.m4 \
106        $(top_srcdir)/acinclude/os-deps.m4 \
107        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
108        $(top_srcdir)/acinclude/pkg.m4 \
109        $(top_srcdir)/acinclude/lib-checks.m4 \
110        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
111        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
112        $(top_srcdir)/helpers/basic_auth/modules.m4 \
113        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/modules.m4 \
128        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
129        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
130        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
134        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
137        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
138        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/modules.m4 \
140        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
141        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
142        $(top_srcdir)/helpers/external_acl/modules.m4 \
143        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
147        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
149        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
150        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/session/required.m4 \
152        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
153        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
154        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
155        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
157        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
158        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
159        $(top_srcdir)/configure.ac
160am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
161        $(ACLOCAL_M4)
162DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
163mkinstalldirs = $(install_sh) -d
164CONFIG_HEADER = $(top_builddir)/include/autoconf.h
165CONFIG_CLEAN_FILES =
166CONFIG_CLEAN_VPATH_FILES =
167am__EXEEXT_1 = ESIExpressions$(EXEEXT)
168@USE_ESI_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
169am__objects_1 = stub_cbdata.$(OBJEXT) stub_debug.$(OBJEXT) \
170        stub_MemBuf.$(OBJEXT) stub_SBuf.$(OBJEXT) stub_tools.$(OBJEXT) \
171        stub_fatal.$(OBJEXT)
172am__objects_2 = test_tools.$(OBJEXT) $(am__objects_1)
173am_ESIExpressions_OBJECTS = ESIExpressions.$(OBJEXT) $(am__objects_2)
174ESIExpressions_OBJECTS = $(am_ESIExpressions_OBJECTS)
175@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
176am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
177        $(am__DEPENDENCIES_1)
178am__DEPENDENCIES_3 =
179am__DEPENDENCIES_4 = $(top_builddir)/src/base/libbase.la \
180        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
181        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
182        $(am__DEPENDENCIES_3)
183ESIExpressions_DEPENDENCIES = $(top_builddir)/src/esi/Expression.o \
184        $(am__DEPENDENCIES_4)
185AM_V_lt = $(am__v_lt_@AM_V@)
186am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187am__v_lt_0 = --silent
188am__v_lt_1 =
189am_MemPoolTest_OBJECTS = MemPoolTest.$(OBJEXT) $(am__objects_2)
190MemPoolTest_OBJECTS = $(am_MemPoolTest_OBJECTS)
191MemPoolTest_LDADD = $(LDADD)
192MemPoolTest_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
193        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
194        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
195        $(am__DEPENDENCIES_3)
196am_VirtualDeleteOperator_OBJECTS = VirtualDeleteOperator.$(OBJEXT) \
197        $(am__objects_2)
198VirtualDeleteOperator_OBJECTS = $(am_VirtualDeleteOperator_OBJECTS)
199VirtualDeleteOperator_LDADD = $(LDADD)
200VirtualDeleteOperator_DEPENDENCIES =  \
201        $(top_builddir)/src/base/libbase.la \
202        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
203        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
204        $(am__DEPENDENCIES_3)
205am_debug_OBJECTS = debug.$(OBJEXT) $(am__objects_2)
206debug_OBJECTS = $(am_debug_OBJECTS)
207debug_LDADD = $(LDADD)
208debug_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
209        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
210        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
211        $(am__DEPENDENCIES_3)
212am_mem_hdr_test_OBJECTS = mem_hdr_test.$(OBJEXT) $(am__objects_2)
213mem_hdr_test_OBJECTS = $(am_mem_hdr_test_OBJECTS)
214mem_hdr_test_DEPENDENCIES = $(top_builddir)/src/stmem.o \
215        $(top_builddir)/src/mem_node.o $(am__DEPENDENCIES_4)
216am_mem_node_test_OBJECTS = mem_node_test.$(OBJEXT) $(am__objects_2)
217mem_node_test_OBJECTS = $(am_mem_node_test_OBJECTS)
218mem_node_test_DEPENDENCIES = $(top_builddir)/src/mem_node.o \
219        $(am__DEPENDENCIES_4)
220membanger_SOURCES = membanger.c
221membanger_OBJECTS = membanger.$(OBJEXT)
222membanger_LDADD = $(LDADD)
223membanger_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
224        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
225        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
226        $(am__DEPENDENCIES_3)
227am_splay_OBJECTS = splay.$(OBJEXT) $(am__objects_2)
228splay_OBJECTS = $(am_splay_OBJECTS)
229splay_LDADD = $(LDADD)
230splay_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
231        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
232        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
233        $(am__DEPENDENCIES_3)
234am_syntheticoperators_OBJECTS = syntheticoperators.$(OBJEXT) \
235        $(am__objects_2)
236syntheticoperators_OBJECTS = $(am_syntheticoperators_OBJECTS)
237syntheticoperators_LDADD = $(LDADD)
238syntheticoperators_DEPENDENCIES = $(top_builddir)/src/base/libbase.la \
239        $(top_builddir)/src/globals.o $(top_builddir)/src/time.o \
240        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
241        $(am__DEPENDENCIES_3)
242tcp_banger2_SOURCES = tcp-banger2.c
243tcp_banger2_OBJECTS = tcp-banger2.$(OBJEXT)
244tcp_banger2_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.la
245AM_V_P = $(am__v_P_@AM_V@)
246am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
247am__v_P_0 = false
248am__v_P_1 = :
249AM_V_GEN = $(am__v_GEN_@AM_V@)
250am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
251am__v_GEN_0 = @echo "  GEN     " $@;
252am__v_GEN_1 =
253AM_V_at = $(am__v_at_@AM_V@)
254am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
255am__v_at_0 = @
256am__v_at_1 =
257DEFAULT_INCLUDES =
258depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
259am__depfiles_maybe = depfiles
260am__mv = mv -f
261COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
262        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
263LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
264        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
265        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
266        $(AM_CFLAGS) $(CFLAGS)
267AM_V_CC = $(am__v_CC_@AM_V@)
268am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
269am__v_CC_0 = @echo "  CC      " $@;
270am__v_CC_1 =
271CCLD = $(CC)
272LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
273        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
274        $(AM_LDFLAGS) $(LDFLAGS) -o $@
275AM_V_CCLD = $(am__v_CCLD_@AM_V@)
276am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
277am__v_CCLD_0 = @echo "  CCLD    " $@;
278am__v_CCLD_1 =
279CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
280        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
281LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
282        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
283        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
284        $(AM_CXXFLAGS) $(CXXFLAGS)
285AM_V_CXX = $(am__v_CXX_@AM_V@)
286am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
287am__v_CXX_0 = @echo "  CXX     " $@;
288am__v_CXX_1 =
289CXXLD = $(CXX)
290CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
291        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
292        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
293AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
294am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
295am__v_CXXLD_0 = @echo "  CXXLD   " $@;
296am__v_CXXLD_1 =
297SOURCES = $(ESIExpressions_SOURCES) $(MemPoolTest_SOURCES) \
298        $(VirtualDeleteOperator_SOURCES) $(debug_SOURCES) \
299        $(mem_hdr_test_SOURCES) $(mem_node_test_SOURCES) membanger.c \
300        $(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
301DIST_SOURCES = $(ESIExpressions_SOURCES) $(MemPoolTest_SOURCES) \
302        $(VirtualDeleteOperator_SOURCES) $(debug_SOURCES) \
303        $(mem_hdr_test_SOURCES) $(mem_node_test_SOURCES) membanger.c \
304        $(splay_SOURCES) $(syntheticoperators_SOURCES) tcp-banger2.c
305am__can_run_installinfo = \
306  case $$AM_UPDATE_INFO_DIR in \
307    n|no|NO) false;; \
308    *) (install-info --version) >/dev/null 2>&1;; \
309  esac
310am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
311# Read a list of newline-separated strings from the standard input,
312# and print each of them once, without duplicates.  Input order is
313# *not* preserved.
314am__uniquify_input = $(AWK) '\
315  BEGIN { nonempty = 0; } \
316  { items[$$0] = 1; nonempty = 1; } \
317  END { if (nonempty) { for (i in items) print i; }; } \
318'
319# Make sure the list of sources is unique.  This is necessary because,
320# e.g., the same source file might be shared among _SOURCES variables
321# for different programs/libraries.
322am__define_uniq_tagged_files = \
323  list='$(am__tagged_files)'; \
324  unique=`for i in $$list; do \
325    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
326  done | $(am__uniquify_input)`
327ETAGS = etags
328CTAGS = ctags
329am__tty_colors_dummy = \
330  mgn= red= grn= lgn= blu= brg= std=; \
331  am__color_tests=no
332am__tty_colors = { \
333  $(am__tty_colors_dummy); \
334  if test "X$(AM_COLOR_TESTS)" = Xno; then \
335    am__color_tests=no; \
336  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
337    am__color_tests=yes; \
338  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
339    am__color_tests=yes; \
340  fi; \
341  if test $$am__color_tests = yes; then \
342    red='[0;31m'; \
343    grn='[0;32m'; \
344    lgn='[1;32m'; \
345    blu='[1;34m'; \
346    mgn='[0;35m'; \
347    brg='[1m'; \
348    std='[m'; \
349  fi; \
350}
351am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
352am__vpath_adj = case $$p in \
353    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
354    *) f=$$p;; \
355  esac;
356am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
357am__install_max = 40
358am__nobase_strip_setup = \
359  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
360am__nobase_strip = \
361  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
362am__nobase_list = $(am__nobase_strip_setup); \
363  for p in $$list; do echo "$$p $$p"; done | \
364  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
365  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
366    if (++n[$$2] == $(am__install_max)) \
367      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
368    END { for (dir in files) print dir, files[dir] }'
369am__base_list = \
370  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
371  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
372am__uninstall_files_from_dir = { \
373  test -z "$$files" \
374    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
375    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
376         $(am__cd) "$$dir" && rm -f $$files; }; \
377  }
378am__recheck_rx = ^[     ]*:recheck:[    ]*
379am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
380am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
381# A command that, given a newline-separated list of test names on the
382# standard input, print the name of the tests that are to be re-run
383# upon "make recheck".
384am__list_recheck_tests = $(AWK) '{ \
385  recheck = 1; \
386  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
387    { \
388      if (rc < 0) \
389        { \
390          if ((getline line2 < ($$0 ".log")) < 0) \
391            recheck = 0; \
392          break; \
393        } \
394      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
395        { \
396          recheck = 0; \
397          break; \
398        } \
399      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
400        { \
401          break; \
402        } \
403    }; \
404  if (recheck) \
405    print $$0; \
406  close ($$0 ".trs"); \
407  close ($$0 ".log"); \
408}'
409# A command that, given a newline-separated list of test names on the
410# standard input, create the global log from their .trs and .log files.
411am__create_global_log = $(AWK) ' \
412function fatal(msg) \
413{ \
414  print "fatal: making $@: " msg | "cat >&2"; \
415  exit 1; \
416} \
417function rst_section(header) \
418{ \
419  print header; \
420  len = length(header); \
421  for (i = 1; i <= len; i = i + 1) \
422    printf "="; \
423  printf "\n\n"; \
424} \
425{ \
426  copy_in_global_log = 1; \
427  global_test_result = "RUN"; \
428  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
429    { \
430      if (rc < 0) \
431         fatal("failed to read from " $$0 ".trs"); \
432      if (line ~ /$(am__global_test_result_rx)/) \
433        { \
434          sub("$(am__global_test_result_rx)", "", line); \
435          sub("[        ]*$$", "", line); \
436          global_test_result = line; \
437        } \
438      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
439        copy_in_global_log = 0; \
440    }; \
441  if (copy_in_global_log) \
442    { \
443      rst_section(global_test_result ": " $$0); \
444      while ((rc = (getline line < ($$0 ".log"))) != 0) \
445      { \
446        if (rc < 0) \
447          fatal("failed to read from " $$0 ".log"); \
448        print line; \
449      }; \
450      printf "\n"; \
451    }; \
452  close ($$0 ".trs"); \
453  close ($$0 ".log"); \
454}'
455# Restructured Text title.
456am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
457# Solaris 10 'make', and several other traditional 'make' implementations,
458# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
459# by disabling -e (using the XSI extension "set +e") if it's set.
460am__sh_e_setup = case $$- in *e*) set +e;; esac
461# Default flags passed to test drivers.
462am__common_driver_flags = \
463  --color-tests "$$am__color_tests" \
464  --enable-hard-errors "$$am__enable_hard_errors" \
465  --expect-failure "$$am__expect_failure"
466# To be inserted before the command running the test.  Creates the
467# directory for the log if needed.  Stores in $dir the directory
468# containing $f, in $tst the test, in $log the log.  Executes the
469# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
470# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
471# will run the test scripts (or their associated LOG_COMPILER, if
472# thy have one).
473am__check_pre = \
474$(am__sh_e_setup);                                      \
475$(am__vpath_adj_setup) $(am__vpath_adj)                 \
476$(am__tty_colors);                                      \
477srcdir=$(srcdir); export srcdir;                        \
478case "$@" in                                            \
479  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
480    *) am__odir=.;;                                     \
481esac;                                                   \
482test "x$$am__odir" = x"." || test -d "$$am__odir"       \
483  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
484if test -f "./$$f"; then dir=./;                        \
485elif test -f "$$f"; then dir=;                          \
486else dir="$(srcdir)/"; fi;                              \
487tst=$$dir$$f; log='$@';                                 \
488if test -n '$(DISABLE_HARD_ERRORS)'; then               \
489  am__enable_hard_errors=no;                            \
490else                                                    \
491  am__enable_hard_errors=yes;                           \
492fi;                                                     \
493case " $(XFAIL_TESTS) " in                              \
494  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
495    am__expect_failure=yes;;                            \
496  *)                                                    \
497    am__expect_failure=no;;                             \
498esac;                                                   \
499$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
500# A shell command to get the names of the tests scripts with any registered
501# extension removed (i.e., equivalently, the names of the test logs, with
502# the '.log' extension removed).  The result is saved in the shell variable
503# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
504# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
505# since that might cause problem with VPATH rewrites for suffix-less tests.
506# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
507am__set_TESTS_bases = \
508  bases='$(TEST_LOGS)'; \
509  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
510  bases=`echo $$bases`
511RECHECK_LOGS = $(TEST_LOGS)
512AM_RECURSIVE_TARGETS = check recheck
513TEST_SUITE_LOG = test-suite.log
514TEST_EXTENSIONS = @EXEEXT@ .test
515LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
516LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
517am__set_b = \
518  case '$@' in \
519    */*) \
520      case '$*' in \
521        */*) b='$*';; \
522          *) b=`echo '$@' | sed 's/\.log$$//'`; \
523       esac;; \
524    *) \
525      b='$*';; \
526  esac
527am__test_logs1 = $(TESTS:=.log)
528am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
529TEST_LOGS = $(am__test_logs2:.test.log=.log)
530TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
531TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
532        $(TEST_LOG_FLAGS)
533am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
534        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
535DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
536ACLOCAL = @ACLOCAL@
537ADAPTATION_LIBS = @ADAPTATION_LIBS@
538ALLOCA = @ALLOCA@
539AMTAR = @AMTAR@
540AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
541AR = @AR@
542ARGZ_H = @ARGZ_H@
543AR_R = @AR_R@
544AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
545AUTH_MODULES = @AUTH_MODULES@
546AUTOCONF = @AUTOCONF@
547AUTOHEADER = @AUTOHEADER@
548AUTOMAKE = @AUTOMAKE@
549AWK = @AWK@
550BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
551BUILDCXX = @BUILDCXX@
552BUILDCXXFLAGS = @BUILDCXXFLAGS@
553BZR = @BZR@
554CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
555CC = @CC@
556CCDEPMODE = @CCDEPMODE@
557CFLAGS = @CFLAGS@
558CGIEXT = @CGIEXT@
559CHMOD = @CHMOD@
560CPP = @CPP@
561CPPFLAGS = @CPPFLAGS@
562CPPUNITCONFIG = @CPPUNITCONFIG@
563CRYPTLIB = @CRYPTLIB@
564CXX = @CXX@
565CXXCPP = @CXXCPP@
566CXXDEPMODE = @CXXDEPMODE@
567CXXFLAGS = @CXXFLAGS@
568CYGPATH_W = @CYGPATH_W@
569DEFAULT_HOSTS = @DEFAULT_HOSTS@
570DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
571DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
572DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
573DEFS = @DEFS@
574DEPDIR = @DEPDIR@
575DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
576DISK_LIBS = @DISK_LIBS@
577DISK_LINKOBJS = @DISK_LINKOBJS@
578DISK_MODULES = @DISK_MODULES@
579DISK_OS_LIBS = @DISK_OS_LIBS@
580DISK_PROGRAMS = @DISK_PROGRAMS@
581DLLTOOL = @DLLTOOL@
582DSYMUTIL = @DSYMUTIL@
583DUMPBIN = @DUMPBIN@
584ECAP_LIBS = @ECAP_LIBS@
585ECHO_C = @ECHO_C@
586ECHO_N = @ECHO_N@
587ECHO_T = @ECHO_T@
588EGREP = @EGREP@
589EPOLL_LIBS = @EPOLL_LIBS@
590EUILIB = @EUILIB@
591EXEEXT = @EXEEXT@
592EXPATLIB = @EXPATLIB@
593EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
594EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
595EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
596FALSE = @FALSE@
597FGREP = @FGREP@
598GREP = @GREP@
599HAVE_CXX11 = @HAVE_CXX11@
600ICAP_LIBS = @ICAP_LIBS@
601INCLTDL = @INCLTDL@
602INSTALL = @INSTALL@
603INSTALL_DATA = @INSTALL_DATA@
604INSTALL_PROGRAM = @INSTALL_PROGRAM@
605INSTALL_SCRIPT = @INSTALL_SCRIPT@
606INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
607KRB5INCS = @KRB5INCS@
608KRB5LIBS = @KRB5LIBS@
609LBERLIB = @LBERLIB@
610LD = @LD@
611LDAPLIB = @LDAPLIB@
612LDFLAGS = @LDFLAGS@
613LIBADD_DL = @LIBADD_DL@
614LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
615LIBADD_DLOPEN = @LIBADD_DLOPEN@
616LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
617LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
618LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
619LIBLTDL = @LIBLTDL@
620LIBOBJS = @LIBOBJS@
621LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
622LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
623LIBS = @LIBS@
624LIBSASL = @LIBSASL@
625LIBTOOL = @LIBTOOL@
626LIB_DB = @LIB_DB@
627LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
628LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
629LINUXDOC = @LINUXDOC@
630LIPO = @LIPO@
631LN = @LN@
632LN_S = @LN_S@
633LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
634LTDLDEPS = @LTDLDEPS@
635LTDLINCL = @LTDLINCL@
636LTDLOPEN = @LTDLOPEN@
637LTLIBOBJS = @LTLIBOBJS@
638LT_CONFIG_H = @LT_CONFIG_H@
639LT_DLLOADERS = @LT_DLLOADERS@
640LT_DLPREOPEN = @LT_DLPREOPEN@
641MAINT = @MAINT@
642MAKEINFO = @MAKEINFO@
643MANIFEST_TOOL = @MANIFEST_TOOL@
644MINGW_LIBS = @MINGW_LIBS@
645MKDIR = @MKDIR@
646MKDIR_P = @MKDIR_P@
647MV = @MV@
648NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
649NETTLELIB = @NETTLELIB@
650NM = @NM@
651NMEDIT = @NMEDIT@
652NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
653OBJDUMP = @OBJDUMP@
654OBJEXT = @OBJEXT@
655OTOOL = @OTOOL@
656OTOOL64 = @OTOOL64@
657PACKAGE = @PACKAGE@
658PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
659PACKAGE_NAME = @PACKAGE_NAME@
660PACKAGE_STRING = @PACKAGE_STRING@
661PACKAGE_TARNAME = @PACKAGE_TARNAME@
662PACKAGE_URL = @PACKAGE_URL@
663PACKAGE_VERSION = @PACKAGE_VERSION@
664PATH_SEPARATOR = @PATH_SEPARATOR@
665PERL = @PERL@
666PKG_CONFIG = @PKG_CONFIG@
667PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
668PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
669PO2HTML = @PO2HTML@
670PO2TEXT = @PO2TEXT@
671POD2MAN = @POD2MAN@
672RANLIB = @RANLIB@
673REGEXLIB = @REGEXLIB@
674REPL_LIBS = @REPL_LIBS@
675REPL_OBJS = @REPL_OBJS@
676REPL_POLICIES = @REPL_POLICIES@
677RM = @RM@
678SED = @SED@
679SET_MAKE = @SET_MAKE@
680SH = @SH@
681SHELL = @SHELL@
682SMBCLIENT = @SMBCLIENT@
683SNMPLIB = @SNMPLIB@
684SQUID_CFLAGS = @SQUID_CFLAGS@
685SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
686SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
687SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
688SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
689SSLLIB = @SSLLIB@
690STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
691STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
692STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
693STORE_TESTS = @STORE_TESTS@
694STRIP = @STRIP@
695TR = @TR@
696TRUE = @TRUE@
697URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
698VERSION = @VERSION@
699WBINFO = @WBINFO@
700WIN32_PSAPI = @WIN32_PSAPI@
701XMLLIB = @XMLLIB@
702XTRA_LIBS = @XTRA_LIBS@
703XTRA_OBJS = @XTRA_OBJS@
704abs_builddir = @abs_builddir@
705abs_srcdir = @abs_srcdir@
706abs_top_builddir = @abs_top_builddir@
707abs_top_srcdir = @abs_top_srcdir@
708ac_ct_AR = @ac_ct_AR@
709ac_ct_CC = @ac_ct_CC@
710ac_ct_CXX = @ac_ct_CXX@
711ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
712am__include = @am__include@
713am__leading_dot = @am__leading_dot@
714am__quote = @am__quote@
715am__tar = @am__tar@
716am__untar = @am__untar@
717bindir = @bindir@
718build = @build@
719build_alias = @build_alias@
720build_cpu = @build_cpu@
721build_os = @build_os@
722build_vendor = @build_vendor@
723builddir = @builddir@
724datadir = @datadir@
725datarootdir = @datarootdir@
726docdir = @docdir@
727dvidir = @dvidir@
728exec_prefix = @exec_prefix@
729host = @host@
730host_alias = @host_alias@
731host_cpu = @host_cpu@
732host_os = @host_os@
733host_vendor = @host_vendor@
734htmldir = @htmldir@
735includedir = @includedir@
736infodir = @infodir@
737install_sh = @install_sh@
738krb5_config = @krb5_config@
739libdir = @libdir@
740libexecdir = @libexecdir@
741localedir = @localedir@
742localstatedir = @localstatedir@
743ltdl_LIBOBJS = @ltdl_LIBOBJS@
744ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
745mandir = @mandir@
746mkdir_p = @mkdir_p@
747oldincludedir = @oldincludedir@
748pdfdir = @pdfdir@
749prefix = @prefix@
750program_transform_name = @program_transform_name@
751psdir = @psdir@
752runstatedir = @runstatedir@
753sbindir = @sbindir@
754sharedstatedir = @sharedstatedir@
755srcdir = @srcdir@
756subdirs = @subdirs@
757sys_symbol_underscore = @sys_symbol_underscore@
758sysconfdir = @sysconfdir@
759target_alias = @target_alias@
760top_build_prefix = @top_build_prefix@
761top_builddir = @top_builddir@
762top_srcdir = @top_srcdir@
763AM_CFLAGS = $(SQUID_CFLAGS)
764AM_CXXFLAGS = $(SQUID_CXXFLAGS)
765CLEANFILES = $(STUBS) squid-conf-tests
766AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
767        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
768        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
769        $(am__append_1) -I$(srcdir)
770@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
771@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
772COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
773subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
774LDADD = \
775        $(top_builddir)/src/base/libbase.la \
776        $(top_builddir)/src/globals.o \
777        $(top_builddir)/src/time.o \
778        $(top_builddir)/lib/libmiscutil.la \
779        $(COMPAT_LIB) \
780        $(XTRA_LIBS)
781
782EXTRA_DIST = \
783        $(srcdir)/squidconf/* \
784        testheaders.sh
785
786ESI_ALL_TESTS = \
787        ESIExpressions
788
789@USE_ESI_FALSE@ESI_TESTS =
790@USE_ESI_TRUE@ESI_TESTS = $(ESI_ALL_TESTS)
791tcp_banger2_LDADD = $(top_builddir)/lib/libmiscutil.la
792STUBS = stub_cbdata.cc stub_debug.cc stub_MemBuf.cc stub_SBuf.cc stub_tools.cc stub_fatal.cc
793DEBUG_SOURCE = test_tools.cc $(STUBS)
794debug_SOURCES = debug.cc $(DEBUG_SOURCE)
795ESIExpressions_SOURCES = ESIExpressions.cc $(DEBUG_SOURCE)
796ESIExpressions_LDADD = $(top_builddir)/src/esi/Expression.o \
797                $(LDADD)
798
799mem_node_test_SOURCES = mem_node_test.cc $(DEBUG_SOURCE)
800mem_node_test_LDADD = $(top_builddir)/src/mem_node.o $(LDADD)
801mem_hdr_test_SOURCES = mem_hdr_test.cc $(DEBUG_SOURCE)
802mem_hdr_test_LDADD = \
803        $(top_builddir)/src/stmem.o \
804        $(top_builddir)/src/mem_node.o \
805        $(LDADD)
806
807MemPoolTest_SOURCES = MemPoolTest.cc $(DEBUG_SOURCE)
808splay_SOURCES = splay.cc $(DEBUG_SOURCE)
809syntheticoperators_SOURCES = syntheticoperators.cc $(DEBUG_SOURCE)
810VirtualDeleteOperator_SOURCES = VirtualDeleteOperator.cc $(DEBUG_SOURCE)
811all: all-am
812
813.SUFFIXES:
814.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
815$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
816        @for dep in $?; do \
817          case '$(am__configure_deps)' in \
818            *$$dep*) \
819              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
820                && { if test -f $@; then exit 0; else break; fi; }; \
821              exit 1;; \
822          esac; \
823        done; \
824        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test-suite/Makefile'; \
825        $(am__cd) $(top_srcdir) && \
826          $(AUTOMAKE) --foreign test-suite/Makefile
827Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
828        @case '$?' in \
829          *config.status*) \
830            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
831          *) \
832            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
833            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
834        esac;
835$(top_srcdir)/src/Common.am $(am__empty):
836
837$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
838        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
839
840$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
841        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
842$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
843        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
844$(am__aclocal_m4_deps):
845
846clean-checkPROGRAMS:
847        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
848        echo " rm -f" $$list; \
849        rm -f $$list || exit $$?; \
850        test -n "$(EXEEXT)" || exit 0; \
851        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
852        echo " rm -f" $$list; \
853        rm -f $$list
854
855ESIExpressions$(EXEEXT): $(ESIExpressions_OBJECTS) $(ESIExpressions_DEPENDENCIES) $(EXTRA_ESIExpressions_DEPENDENCIES)
856        @rm -f ESIExpressions$(EXEEXT)
857        $(AM_V_CXXLD)$(CXXLINK) $(ESIExpressions_OBJECTS) $(ESIExpressions_LDADD) $(LIBS)
858
859MemPoolTest$(EXEEXT): $(MemPoolTest_OBJECTS) $(MemPoolTest_DEPENDENCIES) $(EXTRA_MemPoolTest_DEPENDENCIES)
860        @rm -f MemPoolTest$(EXEEXT)
861        $(AM_V_CXXLD)$(CXXLINK) $(MemPoolTest_OBJECTS) $(MemPoolTest_LDADD) $(LIBS)
862
863VirtualDeleteOperator$(EXEEXT): $(VirtualDeleteOperator_OBJECTS) $(VirtualDeleteOperator_DEPENDENCIES) $(EXTRA_VirtualDeleteOperator_DEPENDENCIES)
864        @rm -f VirtualDeleteOperator$(EXEEXT)
865        $(AM_V_CXXLD)$(CXXLINK) $(VirtualDeleteOperator_OBJECTS) $(VirtualDeleteOperator_LDADD) $(LIBS)
866
867debug$(EXEEXT): $(debug_OBJECTS) $(debug_DEPENDENCIES) $(EXTRA_debug_DEPENDENCIES)
868        @rm -f debug$(EXEEXT)
869        $(AM_V_CXXLD)$(CXXLINK) $(debug_OBJECTS) $(debug_LDADD) $(LIBS)
870
871mem_hdr_test$(EXEEXT): $(mem_hdr_test_OBJECTS) $(mem_hdr_test_DEPENDENCIES) $(EXTRA_mem_hdr_test_DEPENDENCIES)
872        @rm -f mem_hdr_test$(EXEEXT)
873        $(AM_V_CXXLD)$(CXXLINK) $(mem_hdr_test_OBJECTS) $(mem_hdr_test_LDADD) $(LIBS)
874
875mem_node_test$(EXEEXT): $(mem_node_test_OBJECTS) $(mem_node_test_DEPENDENCIES) $(EXTRA_mem_node_test_DEPENDENCIES)
876        @rm -f mem_node_test$(EXEEXT)
877        $(AM_V_CXXLD)$(CXXLINK) $(mem_node_test_OBJECTS) $(mem_node_test_LDADD) $(LIBS)
878
879membanger$(EXEEXT): $(membanger_OBJECTS) $(membanger_DEPENDENCIES) $(EXTRA_membanger_DEPENDENCIES)
880        @rm -f membanger$(EXEEXT)
881        $(AM_V_CCLD)$(LINK) $(membanger_OBJECTS) $(membanger_LDADD) $(LIBS)
882
883splay$(EXEEXT): $(splay_OBJECTS) $(splay_DEPENDENCIES) $(EXTRA_splay_DEPENDENCIES)
884        @rm -f splay$(EXEEXT)
885        $(AM_V_CXXLD)$(CXXLINK) $(splay_OBJECTS) $(splay_LDADD) $(LIBS)
886
887syntheticoperators$(EXEEXT): $(syntheticoperators_OBJECTS) $(syntheticoperators_DEPENDENCIES) $(EXTRA_syntheticoperators_DEPENDENCIES)
888        @rm -f syntheticoperators$(EXEEXT)
889        $(AM_V_CXXLD)$(CXXLINK) $(syntheticoperators_OBJECTS) $(syntheticoperators_LDADD) $(LIBS)
890
891tcp-banger2$(EXEEXT): $(tcp_banger2_OBJECTS) $(tcp_banger2_DEPENDENCIES) $(EXTRA_tcp_banger2_DEPENDENCIES)
892        @rm -f tcp-banger2$(EXEEXT)
893        $(AM_V_CCLD)$(LINK) $(tcp_banger2_OBJECTS) $(tcp_banger2_LDADD) $(LIBS)
894
895mostlyclean-compile:
896        -rm -f *.$(OBJEXT)
897
898distclean-compile:
899        -rm -f *.tab.c
900
901@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ESIExpressions.Po@am__quote@
902@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemPoolTest.Po@am__quote@
903@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/VirtualDeleteOperator.Po@am__quote@
904@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Po@am__quote@
905@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mem_hdr_test.Po@am__quote@
906@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mem_node_test.Po@am__quote@
907@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/membanger.Po@am__quote@
908@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/splay.Po@am__quote@
909@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_MemBuf.Po@am__quote@
910@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_SBuf.Po@am__quote@
911@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_cbdata.Po@am__quote@
912@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
913@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_fatal.Po@am__quote@
914@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_tools.Po@am__quote@
915@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syntheticoperators.Po@am__quote@
916@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tcp-banger2.Po@am__quote@
917@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tools.Po@am__quote@
918
919.c.o:
920@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
921@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
922@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
923@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
924@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
925@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
926
927.c.obj:
928@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
929@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
930@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
931@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
932@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
933@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
934
935.c.lo:
936@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
937@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
938@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
939@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
940@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
941@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
942
943.cc.o:
944@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
945@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
946@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
947@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
948@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
949@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
950
951.cc.obj:
952@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
953@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
954@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
955@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
956@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
958
959.cc.lo:
960@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
961@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
962@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
963@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
964@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
966
967mostlyclean-libtool:
968        -rm -f *.lo
969
970clean-libtool:
971        -rm -rf .libs _libs
972
973ID: $(am__tagged_files)
974        $(am__define_uniq_tagged_files); mkid -fID $$unique
975tags: tags-am
976TAGS: tags
977
978tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
979        set x; \
980        here=`pwd`; \
981        $(am__define_uniq_tagged_files); \
982        shift; \
983        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
984          test -n "$$unique" || unique=$$empty_fix; \
985          if test $$# -gt 0; then \
986            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
987              "$$@" $$unique; \
988          else \
989            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
990              $$unique; \
991          fi; \
992        fi
993ctags: ctags-am
994
995CTAGS: ctags
996ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
997        $(am__define_uniq_tagged_files); \
998        test -z "$(CTAGS_ARGS)$$unique" \
999          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1000             $$unique
1001
1002GTAGS:
1003        here=`$(am__cd) $(top_builddir) && pwd` \
1004          && $(am__cd) $(top_srcdir) \
1005          && gtags -i $(GTAGS_ARGS) "$$here"
1006cscopelist: cscopelist-am
1007
1008cscopelist-am: $(am__tagged_files)
1009        list='$(am__tagged_files)'; \
1010        case "$(srcdir)" in \
1011          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1012          *) sdir=$(subdir)/$(srcdir) ;; \
1013        esac; \
1014        for i in $$list; do \
1015          if test -f "$$i"; then \
1016            echo "$(subdir)/$$i"; \
1017          else \
1018            echo "$$sdir/$$i"; \
1019          fi; \
1020        done >> $(top_builddir)/cscope.files
1021
1022distclean-tags:
1023        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1024
1025# Recover from deleted '.trs' file; this should ensure that
1026# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1027# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1028# to avoid problems with "make -n".
1029.log.trs:
1030        rm -f $< $@
1031        $(MAKE) $(AM_MAKEFLAGS) $<
1032
1033# Leading 'am--fnord' is there to ensure the list of targets does not
1034# expand to empty, as could happen e.g. with make check TESTS=''.
1035am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1036am--force-recheck:
1037        @:
1038
1039$(TEST_SUITE_LOG): $(TEST_LOGS)
1040        @$(am__set_TESTS_bases); \
1041        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1042        redo_bases=`for i in $$bases; do \
1043                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1044                    done`; \
1045        if test -n "$$redo_bases"; then \
1046          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1047          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1048          if $(am__make_dryrun); then :; else \
1049            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1050          fi; \
1051        fi; \
1052        if test -n "$$am__remaking_logs"; then \
1053          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1054               "recursion detected" >&2; \
1055        elif test -n "$$redo_logs"; then \
1056          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1057        fi; \
1058        if $(am__make_dryrun); then :; else \
1059          st=0;  \
1060          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1061          for i in $$redo_bases; do \
1062            test -f $$i.trs && test -r $$i.trs \
1063              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1064            test -f $$i.log && test -r $$i.log \
1065              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1066          done; \
1067          test $$st -eq 0 || exit 1; \
1068        fi
1069        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1070        ws='[   ]'; \
1071        results=`for b in $$bases; do echo $$b.trs; done`; \
1072        test -n "$$results" || results=/dev/null; \
1073        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1074        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1075        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1076        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1077        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1078        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1079        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1080        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1081          success=true; \
1082        else \
1083          success=false; \
1084        fi; \
1085        br='==================='; br=$$br$$br$$br$$br; \
1086        result_count () \
1087        { \
1088            if test x"$$1" = x"--maybe-color"; then \
1089              maybe_colorize=yes; \
1090            elif test x"$$1" = x"--no-color"; then \
1091              maybe_colorize=no; \
1092            else \
1093              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1094            fi; \
1095            shift; \
1096            desc=$$1 count=$$2; \
1097            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1098              color_start=$$3 color_end=$$std; \
1099            else \
1100              color_start= color_end=; \
1101            fi; \
1102            echo "$${color_start}# $$desc $$count$${color_end}"; \
1103        }; \
1104        create_testsuite_report () \
1105        { \
1106          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1107          result_count $$1 "PASS: " $$pass  "$$grn"; \
1108          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1109          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1110          result_count $$1 "FAIL: " $$fail  "$$red"; \
1111          result_count $$1 "XPASS:" $$xpass "$$red"; \
1112          result_count $$1 "ERROR:" $$error "$$mgn"; \
1113        }; \
1114        {                                                               \
1115          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1116            $(am__rst_title);                                           \
1117          create_testsuite_report --no-color;                           \
1118          echo;                                                         \
1119          echo ".. contents:: :depth: 2";                               \
1120          echo;                                                         \
1121          for b in $$bases; do echo $$b; done                           \
1122            | $(am__create_global_log);                                 \
1123        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1124        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1125        if $$success; then                                              \
1126          col="$$grn";                                                  \
1127         else                                                           \
1128          col="$$red";                                                  \
1129          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1130        fi;                                                             \
1131        echo "$${col}$$br$${std}";                                      \
1132        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1133        echo "$${col}$$br$${std}";                                      \
1134        create_testsuite_report --maybe-color;                          \
1135        echo "$$col$$br$$std";                                          \
1136        if $$success; then :; else                                      \
1137          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1138          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1139            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1140          fi;                                                           \
1141          echo "$$col$$br$$std";                                        \
1142        fi;                                                             \
1143        $$success || exit 1
1144
1145check-TESTS:
1146        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1147        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1148        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1149        @set +e; $(am__set_TESTS_bases); \
1150        log_list=`for i in $$bases; do echo $$i.log; done`; \
1151        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1152        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1153        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1154        exit $$?;
1155recheck: all $(check_PROGRAMS)
1156        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1157        @set +e; $(am__set_TESTS_bases); \
1158        bases=`for i in $$bases; do echo $$i; done \
1159                 | $(am__list_recheck_tests)` || exit 1; \
1160        log_list=`for i in $$bases; do echo $$i.log; done`; \
1161        log_list=`echo $$log_list`; \
1162        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1163                am__force_recheck=am--force-recheck \
1164                TEST_LOGS="$$log_list"; \
1165        exit $$?
1166debug.log: debug$(EXEEXT)
1167        @p='debug$(EXEEXT)'; \
1168        b='debug'; \
1169        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1170        --log-file $$b.log --trs-file $$b.trs \
1171        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1172        "$$tst" $(AM_TESTS_FD_REDIRECT)
1173syntheticoperators.log: syntheticoperators$(EXEEXT)
1174        @p='syntheticoperators$(EXEEXT)'; \
1175        b='syntheticoperators'; \
1176        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1177        --log-file $$b.log --trs-file $$b.trs \
1178        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1179        "$$tst" $(AM_TESTS_FD_REDIRECT)
1180VirtualDeleteOperator.log: VirtualDeleteOperator$(EXEEXT)
1181        @p='VirtualDeleteOperator$(EXEEXT)'; \
1182        b='VirtualDeleteOperator'; \
1183        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1184        --log-file $$b.log --trs-file $$b.trs \
1185        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1186        "$$tst" $(AM_TESTS_FD_REDIRECT)
1187splay.log: splay$(EXEEXT)
1188        @p='splay$(EXEEXT)'; \
1189        b='splay'; \
1190        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1191        --log-file $$b.log --trs-file $$b.trs \
1192        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1193        "$$tst" $(AM_TESTS_FD_REDIRECT)
1194MemPoolTest.log: MemPoolTest$(EXEEXT)
1195        @p='MemPoolTest$(EXEEXT)'; \
1196        b='MemPoolTest'; \
1197        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1198        --log-file $$b.log --trs-file $$b.trs \
1199        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1200        "$$tst" $(AM_TESTS_FD_REDIRECT)
1201mem_node_test.log: mem_node_test$(EXEEXT)
1202        @p='mem_node_test$(EXEEXT)'; \
1203        b='mem_node_test'; \
1204        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1205        --log-file $$b.log --trs-file $$b.trs \
1206        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1207        "$$tst" $(AM_TESTS_FD_REDIRECT)
1208mem_hdr_test.log: mem_hdr_test$(EXEEXT)
1209        @p='mem_hdr_test$(EXEEXT)'; \
1210        b='mem_hdr_test'; \
1211        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1212        --log-file $$b.log --trs-file $$b.trs \
1213        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1214        "$$tst" $(AM_TESTS_FD_REDIRECT)
1215ESIExpressions.log: ESIExpressions$(EXEEXT)
1216        @p='ESIExpressions$(EXEEXT)'; \
1217        b='ESIExpressions'; \
1218        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1219        --log-file $$b.log --trs-file $$b.trs \
1220        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1221        "$$tst" $(AM_TESTS_FD_REDIRECT)
1222squid-conf-tests.log: squid-conf-tests
1223        @p='squid-conf-tests'; \
1224        b='squid-conf-tests'; \
1225        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1226        --log-file $$b.log --trs-file $$b.trs \
1227        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1228        "$$tst" $(AM_TESTS_FD_REDIRECT)
1229.test.log:
1230        @p='$<'; \
1231        $(am__set_b); \
1232        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1233        --log-file $$b.log --trs-file $$b.trs \
1234        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1235        "$$tst" $(AM_TESTS_FD_REDIRECT)
1236@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1237@am__EXEEXT_TRUE@       @p='$<'; \
1238@am__EXEEXT_TRUE@       $(am__set_b); \
1239@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1240@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1241@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1242@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1243
1244distdir: $(DISTFILES)
1245        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1246        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1247        list='$(DISTFILES)'; \
1248          dist_files=`for file in $$list; do echo $$file; done | \
1249          sed -e "s|^$$srcdirstrip/||;t" \
1250              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1251        case $$dist_files in \
1252          */*) $(MKDIR_P) `echo "$$dist_files" | \
1253                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1254                           sort -u` ;; \
1255        esac; \
1256        for file in $$dist_files; do \
1257          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1258          if test -d $$d/$$file; then \
1259            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1260            if test -d "$(distdir)/$$file"; then \
1261              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1262            fi; \
1263            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1264              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1265              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1266            fi; \
1267            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1268          else \
1269            test -f "$(distdir)/$$file" \
1270            || cp -p $$d/$$file "$(distdir)/$$file" \
1271            || exit 1; \
1272          fi; \
1273        done
1274check-am: all-am
1275        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1276        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1277check: check-am
1278all-am: Makefile
1279installdirs:
1280install: install-am
1281install-exec: install-exec-am
1282install-data: install-data-am
1283uninstall: uninstall-am
1284
1285install-am: all-am
1286        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1287
1288installcheck: installcheck-am
1289install-strip:
1290        if test -z '$(STRIP)'; then \
1291          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1292            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1293              install; \
1294        else \
1295          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1296            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1297            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1298        fi
1299mostlyclean-generic:
1300        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1301        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1302        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1303
1304clean-generic:
1305        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1306
1307distclean-generic:
1308        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1309        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1310
1311maintainer-clean-generic:
1312        @echo "This command is intended for maintainers to use"
1313        @echo "it deletes files that may require special tools to rebuild."
1314clean: clean-am
1315
1316clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1317        mostlyclean-am
1318
1319distclean: distclean-am
1320        -rm -rf ./$(DEPDIR)
1321        -rm -f Makefile
1322distclean-am: clean-am distclean-compile distclean-generic \
1323        distclean-tags
1324
1325dvi: dvi-am
1326
1327dvi-am:
1328
1329html: html-am
1330
1331html-am:
1332
1333info: info-am
1334
1335info-am:
1336
1337install-data-am:
1338
1339install-dvi: install-dvi-am
1340
1341install-dvi-am:
1342
1343install-exec-am:
1344
1345install-html: install-html-am
1346
1347install-html-am:
1348
1349install-info: install-info-am
1350
1351install-info-am:
1352
1353install-man:
1354
1355install-pdf: install-pdf-am
1356
1357install-pdf-am:
1358
1359install-ps: install-ps-am
1360
1361install-ps-am:
1362
1363installcheck-am:
1364
1365maintainer-clean: maintainer-clean-am
1366        -rm -rf ./$(DEPDIR)
1367        -rm -f Makefile
1368maintainer-clean-am: distclean-am maintainer-clean-generic
1369
1370mostlyclean: mostlyclean-am
1371
1372mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1373        mostlyclean-libtool
1374
1375pdf: pdf-am
1376
1377pdf-am:
1378
1379ps: ps-am
1380
1381ps-am:
1382
1383uninstall-am:
1384
1385.MAKE: check-am install-am install-strip
1386
1387.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1388        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1389        ctags ctags-am distclean distclean-compile distclean-generic \
1390        distclean-libtool distclean-tags distdir dvi dvi-am html \
1391        html-am info info-am install install-am install-data \
1392        install-data-am install-dvi install-dvi-am install-exec \
1393        install-exec-am install-html install-html-am install-info \
1394        install-info-am install-man install-pdf install-pdf-am \
1395        install-ps install-ps-am install-strip installcheck \
1396        installcheck-am installdirs maintainer-clean \
1397        maintainer-clean-generic mostlyclean mostlyclean-compile \
1398        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1399        recheck tags tags-am uninstall uninstall-am
1400
1401.PRECIOUS: Makefile
1402
1403
1404$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1405
1406stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
1407        cp $(top_srcdir)/src/tests/stub_cbdata.cc .
1408
1409stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
1410        cp $(top_srcdir)/src/tests/stub_debug.cc .
1411
1412stub_MemBuf.cc: $(top_srcdir)/src/tests/stub_MemBuf.cc
1413        cp $(top_srcdir)/src/tests/stub_MemBuf.cc .
1414
1415stub_SBuf.cc: $(top_srcdir)/src/tests/stub_SBuf.cc
1416        cp $(top_srcdir)/src/tests/stub_SBuf.cc .
1417
1418stub_tools.cc: $(top_srcdir)/src/tests/stub_tools.cc
1419        cp $(top_srcdir)/src/tests/stub_tools.cc .
1420
1421stub_fatal.cc: $(top_srcdir)/src/tests/stub_fatal.cc
1422        cp $(top_srcdir)/src/tests/stub_fatal.cc .
1423
1424squid-conf-tests: $(top_builddir)/src/squid.conf.default $(srcdir)/squidconf/*
1425        @failed=0; cfglist="$?"; rm -f $@ || $(TRUE); \
1426        for cfg in $$cfglist ; do \
1427                $(top_builddir)/src/squid -k parse -f $$cfg || \
1428                        { echo "FAIL: squid.conf test: $$cfg" | \
1429                                sed s%$(top_builddir)/src/%% | \
1430                                sed s%$(srcdir)/squidconf/%% ; \
1431                                failed=1; break; \
1432                        }; \
1433                if test "$$failed" -eq 0; then \
1434                        echo "PASS: squid.conf test: $$cfg" | \
1435                                sed s%$(top_builddir)/src/%% | \
1436                                sed s%$(srcdir)/squidconf/%% ; \
1437                else break; fi; \
1438        done; \
1439        if test "$$failed" -eq 0; then cp $(TRUE) $@ ; fi
1440
1441# Tell versions [3.59,3.63) of GNU make to not export all variables.
1442# Otherwise a system limit (for SysV at least) may be exceeded.
1443.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.